<?
use LabBase\Model\Brand;

$this->headStyle()->appendStyle(
    <<<CSS
    .searchResults{
        margin-top: 10px;
        margin-left: -5px;
    }
    .record{
        width: 31%;
        display: inline-block;
        margin-bottom: 14px;
        vertical-align: top;
        margin-left: 1%;
        cursor: pointer;
        color: #555;
    }

    .record {
        box-shadow: 0 0 5px #bbb;
    }
    .record:hover {
        box-shadow: 1px 1px 10px #aaa;
    }


    .record.small {
        width: 190px;
        min-width: 190px;
    }

    .small.recordRow {
        overflow: hidden;
        height: 250px;
        width: 100%;
        padding: 5px 0;
        margin: 0;
    }


    .record.small .recordInner {
        height: 240px;
    }
    .record.small h1 {
        font-size: 120%;
    }
    @media (max-width: 749px) {
        .searchResults{
            margin-left: 0;
        }
        .record{
            width: 48%;
            margin-left: 1%;
        }
    }
    @media (max-width: 499px) {
        .searchResults{
            margin-left: 0;
        }
        .record{
            width: 80%;
            min-width: 290px;
            margin-left: auto;
            margin-right: auto;
            display: block;
            margin-bottom: 10px;
        }
    }


    .recordInner{
        overflow: hidden;
        background-color: #fff;
        height: 200px;
        position: relative;
    }
    .recordInner .img{
        width: 100%;
        height: 160px;
        background-color: #ddd;
        background-size: cover;
    }
    .recordInner .contents{
        padding: 10px;
    }
    .recordInner .contents h1 {
        margin: 0;
        font-size: 130%;
    }
    .recordInner .footer{
        position: absolute;
        bottom: 0;
        padding: 10px;
        color: #555;
    }
    .ribbon {
        display: inline-block;
        width: 2px;
        height: 10px;
        background-color: black;
        margin-right: 5px;
    }
CSS
);
?>

<? if(!$this->queryHtml) { ?>
    <h1 class="nodeHeading big" style="margin: 18px 5px 10px;">Discover brands</h1>
<? } ?>

<?php if($this->status == 'ok') { ?>
<div class="searchResults">
    <? foreach($this->brands as $brand) { /** @var $brand Brand */?>
        <a href="<?= $this->url('root/brandFeed', ['brandUrl' => $brand->url]); ?>">
            <div class="record" onclick="navigateToBrand('<?= addslashes($brand->url) ?>');">
                <div class="recordInner">
                    <div class="img" <? if($brand->hasBanner) { ?> style="background-image: url('<?= $this->imageLinker()->getImageObject("brand-banner-".$brand->id)->getURL(); ?>');" <? } ?>></div>
                    <div class="contents">
                        <h1><?= $brand->name ?></h1>
                    </div>
                    <!-- <div class="footer"><div class="ribbon" style="background-color: #f00;"></div>BRANDS</div> -->
                </div>
            </div>
        </a>
    <? } ?>
</div>
<?php }elseif($this->status == 'not found') { ?>
    <div class="bottomPadded info node">
        <h1 class="nodeHeading">No results found for <b><?= $this->queryHtml; ?></b></h1>

        <p>Sorry, but we couldn't find any matching pages.</p><br />

        <? if($this->brands) { ?>
            <h1 class="nodeHeading">Featured results</h1>

            <div class="small recordRow">
            <? foreach($this->brands as $brand) { /** @var $brand Brand */?>
                <a href="<?= $this->url('root/brandFeed', ['brandUrl' => $brand->url]); ?>">
                    <div class="small record" onclick="navigateToBrand('<?= addslashes($brand->url) ?>');">
                        <div class="recordInner">
                            <div class="img" <? if($brand->hasBanner) { ?> style="background-image: url('<?= $this->imageLinker()->getImageObject("brand-banner-".$brand->id)->getURL(); ?>');" <? } ?>></div>
                            <div class="contents">
                                <h1><?= $brand->name ?></h1>
                            </div>
                            <!-- <div class="footer"><div class="ribbon" style="background-color: #f00;"></div>BRANDS</div> -->
                        </div>
                    </div>
                </a>
            <? } ?>
            </div>
        <? } ?>

    </div>

<?php }else{?>
    An error has ocurred, please contact the site administrator if it persists.
<?php } ?>